ur_rna.RNAstructure

## Class Nucleobase

- java.lang.Object
- - ur_rna.RNAstructure.Nucleobase

-     public class Nucleobase
      extends java.lang.Object

  Nucleobase symbols and corresponding numeric values (as per the RNA backend)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `A`
    `static char[]` | `allowedSymbols`
    `static int` | `Break` Represents and intermolecular break between separate strands ("I")
    `static int` | `C`
    `static char[]` | `dnaSymbols`
    `static char[]` | `dnaSymbolsLc`
    `static int` | `G`
    `static char[]` | `rnaSymbols`
    `static char[]` | `rnaSymbolsLc`
    `static int` | `T`
    `static int` | `Unknown`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Nucleobase()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getSymbol(int backendValue)`
    `static java.lang.String` | `getSymbol(int backendValue, boolean isRNA)`
    `static java.lang.String` | `getSymbol(int backendValue, boolean isRNA, boolean upper)`
    `static char` | `getVerifiedSymbol(java.lang.String symbol)`
    `static char` | `getVerifiedSymbol(java.lang.String symbol, char defaultIfInvalid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### A

          public static final int A

      See Also:
        Constant Field Values

    - #### allowedSymbols

          public static final char[] allowedSymbols

    - #### Break

          public static final int Break

      Represents and intermolecular break between separate strands ("I")
      See Also:
        Constant Field Values

    - #### C

          public static final int C

      See Also:
        Constant Field Values

    - #### dnaSymbols

          public static final char[] dnaSymbols

    - #### dnaSymbolsLc

          public static final char[] dnaSymbolsLc

    - #### G

          public static final int G

      See Also:
        Constant Field Values

    - #### rnaSymbols

          public static final char[] rnaSymbols

    - #### rnaSymbolsLc

          public static final char[] rnaSymbolsLc

    - #### T

          public static final int T

      See Also:
        Constant Field Values

    - #### Unknown

          public static final int Unknown

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Nucleobase

          public Nucleobase()

  - ### Method Detail

    - #### getSymbol

          public static final java.lang.String getSymbol(int backendValue)

    - #### getSymbol

          public static final java.lang.String getSymbol(int backendValue,
                                                         boolean isRNA)

    - #### getSymbol

          public static final java.lang.String getSymbol(int backendValue,
                                                         boolean isRNA,
                                                         boolean upper)

    - #### getVerifiedSymbol

          public static char getVerifiedSymbol(java.lang.String symbol)

    - #### getVerifiedSymbol

          public static char getVerifiedSymbol(java.lang.String symbol,
                                               char defaultIfInvalid)